×
Namespaces

Variants
Actions
(Difference between revisions)

Archived:Capability requirements for Flash Lite Viewer API

From Nokia Developer Wiki
Jump to: navigation, search
Forum Nokia KB (Talk | contribs)
m (1 revision(s))
hamishwillee (Talk | contribs)
 
(7 intermediate revisions by 4 users not shown)
Line 1: Line 1:
__NOTOC__
+
{{Archived|timestamp=20120314043953|user=roy.debjit| }}
__NOEDITSECTION__
+
[[Category:Symbian C++]][[Category:Flash Lite]][[Category:S60 3rd Edition FP1]]
{{KBTS}}
+
{|border="2" cellspacing="0" cellpadding="4" width="100%"
+
{{ArticleMetaData <!-- v1.2 -->
|
+
|sourcecode= <!-- Link to example source code (e.g. [[Media:The Code Example ZIP.zip]]) -->
====Subject:====
+
|installfile= <!-- Link to installation file (e.g. [[Media:The Installation File.sis]]) -->
|colspan = "2"|Capability requirements for Flash Lite Viewer API
+
|devices= <!-- Devices tested against - e.g. ''devices=Nokia 6131 NFC, Nokia C7-00'') -->
|TSS000512
+
|sdk= <!-- SDK(s) built and tested against (e.g. [http://linktosdkdownload/ Nokia Qt SDK 1.1]) -->
 +
|platform= S60 3rd Edition
 +
|devicecompatability= <!-- Compatible devices (e.g.: All* (must have GPS) ) -->
 +
|dependencies= <!-- Any other/external dependencies e.g.: Google Maps Api v1.0 -->
 +
|signing= <!-- Empty or one of Self-Signed, DevCert, Manufacturer -->
 +
|capabilities= <!-- Capabilities required by the article/code example (e.g. Location, NetworkServices. -->
 +
|keywords= <!-- APIs, classes and methods (e.g. QSystemScreenSaver, QList, CBase -->
 +
|language= <!-- Language category code for non-English topics - e.g. Lang-Chinese -->
 +
|translated-by= <!-- [[User:XXXX]] -->
 +
|translated-from-title= <!-- Title only -->
 +
|translated-from-id= <!-- Id of translated revision -->
 +
|review-by= <!-- After re-review: [[User:username]] -->
 +
|review-timestamp= <!-- After re-review: YYYYMMDD -->
 +
|update-by= <!-- After significant update: [[User:username]]-->
 +
|update-timestamp= <!-- After significant update: YYYYMMDD -->
 +
|creationdate= 20061130
 +
|author= [[User:Technical writer 1]]
 +
<!-- The following are not in current metadata -->
 +
|subcategory=
 +
|id= TSS000512
 +
}}
  
|-
+
== Overview ==
|rowspan = "2"|
+
Capability requirements for Flash Lite Viewer API
====&nbsp;====
+
|Platform(s):
+
|colspan = "2"|Device(s), SW version(s):
+
  
|-
+
== Description ==
|S60 3rd Edition
+
According to the S60 3rd Edition FP1 SDK, the new Flash Lite Viewer API requires that the stub application using it has NetworkControl capability. This implies that every standalone Flash application has to be Symbian Signed.<br>The information provided in the API documentation is incorrect, NetworkControl is not an unconditional capability requirement.<br>The purpose of the API is to provide a flexible mechanism for Flash Lite applications to be presented to the user in the phone's application list (menu) with a customized icon and with its own platform security context. This is done by creating a basic Symbian OS application skeleton whose document would in fact be an instance of the Flash Light engine rendering a specified Flash animation (that can be for security reason installed in the application's own data cage). With regards to the Platform Security context the application will have its own SecureID, VendorID, and a capability set designed to fit the requirements of the Flash application. That means that if, for example, the only capability-controlled functionality that the Flash application implements is Internet access, then declaring the NetworkServices capability for the stub Symbian OS application would be enough to satisfy the security policies. In this scenario submitting your application for certification is recommended but not mandatory.
|colspan = "2"|&nbsp;
+
 
+
|-
+
|
+
====Category:====
+
|colspan = "3"|Symbian C<nowiki>++</nowiki>
+
 
+
|-
+
|
+
====Subcategory:====
+
|colspan = "3"|-
+
 
+
|-
+
|
+
====Description:====
+
|colspan = "3"|According to the S60 3rd Edition FP1 SDK, the new Flash Lite Viewer API requires that the stub application using it has NetworkControl capability. This implies that every standalone Flash application has to be Symbian Signed.<br>The information provided in the API documentation is incorrect, NetworkControl is not an unconditional capability requirement.<br>The purpose of the API is to provide a flexible mechanism for Flash Lite applications to be presented to the user in the phone<nowiki>’</nowiki>s application list (menu) with a customized icon and with its own platform security context. This is done by creating a basic Symbian OS application skeleton whose document would in fact be an instance of the Flash Light engine rendering a specified Flash animation (that can be for security reason installed in the application<nowiki>’</nowiki>s own data cage). With regards to the Platform Security context the application will have its own SecureID, VendorID, and a capability set designed to fit the requirements of the Flash application. That means that if, for example, the only capability-controlled functionality that the Flash application implements is Internet access, then declaring the NetworkServices capability for the stub Symbian OS application would be enough to satisfy the security policies. In this scenario submitting your application for certification is recommended but not mandatory.
+
 
+
|-
+
|
+
====Creation date:====
+
|colspan = "3"|November 30, 2006
+
 
+
|-
+
|
+
====Last modified:====
+
|colspan = "3"|-
+
 
+
|-
+
[[Category:Technical Solution]][[Category:Symbian C++]][[Category:Flash Lite]][[Category:S60 3rd Edition, Feature Pack 1]]
+

Latest revision as of 09:24, 14 June 2012

Archived.pngArchived: This article is archived because it is not considered relevant for third-party developers creating commercial solutions today. If you think this article is still relevant, let us know by adding the template {{ReviewForRemovalFromArchive|user=~~~~|write your reason here}}.

Article Metadata
Compatibility
Platform(s): S60 3rd Edition
S60 3rd Edition FP1
Article
Created: User:Technical writer 1 (30 Nov 2006)
Last edited: hamishwillee (14 Jun 2012)

[edit] Overview

Capability requirements for Flash Lite Viewer API

[edit] Description

According to the S60 3rd Edition FP1 SDK, the new Flash Lite Viewer API requires that the stub application using it has NetworkControl capability. This implies that every standalone Flash application has to be Symbian Signed.
The information provided in the API documentation is incorrect, NetworkControl is not an unconditional capability requirement.
The purpose of the API is to provide a flexible mechanism for Flash Lite applications to be presented to the user in the phone's application list (menu) with a customized icon and with its own platform security context. This is done by creating a basic Symbian OS application skeleton whose document would in fact be an instance of the Flash Light engine rendering a specified Flash animation (that can be for security reason installed in the application's own data cage). With regards to the Platform Security context the application will have its own SecureID, VendorID, and a capability set designed to fit the requirements of the Flash application. That means that if, for example, the only capability-controlled functionality that the Flash application implements is Internet access, then declaring the NetworkServices capability for the stub Symbian OS application would be enough to satisfy the security policies. In this scenario submitting your application for certification is recommended but not mandatory.

This page was last modified on 14 June 2012, at 09:24.
80 page views in the last 30 days.
×